Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 653760 - www-client/chromium-66.0.3359.117[system-libvpx] fails to build
Summary: www-client/chromium-66.0.3359.117[system-libvpx] fails to build
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Chromium Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-22 05:58 UTC by adebeus
Modified: 2018-05-13 05:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge log from failed build (chromium-66.0.3359.117-build.log.xz,273.13 KB, application/x-xz)
2018-04-22 05:58 UTC, adebeus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description adebeus 2018-04-22 05:58:28 UTC
Created attachment 528208 [details]
emerge log from failed build

I know the system-libvpx USE flag is masked, but I've been using it without any issues until I tried to update chromium to version 66. I generally run a stable system but I have libvpx keyworded so I currently have version 1.7.0 installed. I thought the issue might be that I need to update libvpx (since if memory serves, installing the ~amd64 version was how I got the system-libvpx USE flag working in the first place), but I checked the upstream git and there doesn't appear to be a newer version of libvpx.

When I try to build chromium-66 with system-libvpx, I get the following errors:

../../third_party/webrtc/modules/video_coding/codecs/vp9/vp9_impl.cc:720:25: error: no member named 'height' in 'vpx_codec_cx_pkt::(anonymous struct at /usr/include/vpx/vpx_encoder.h:173:5)'
        pkt->data.frame.height[layer_id.spatial_layer_id];
        ~~~~~~~~~~~~~~~ ^
../../third_party/webrtc/modules/video_coding/codecs/vp9/vp9_impl.cc:722:25: error: no member named 'width' in 'vpx_codec_cx_pkt::(anonymous struct at /usr/include/vpx/vpx_encoder.h:173:5)'
        pkt->data.frame.width[layer_id.spatial_layer_id];
        ~~~~~~~~~~~~~~~ ^

A full build log is attached.
Comment 1 Ian Moone 2018-05-13 05:08:23 UTC
I tried the latest stable version (66.0.3359.170), but I got the same error message. Back to cooking without [system-libvpx].